Use libncursesw, not libncurses
authorStas Sergeev <stsp@aknet.ru>
Fri, 27 Oct 2006 19:06:09 +0000 (19:06 +0000)
committerStas Sergeev <stsp@aknet.ru>
Fri, 27 Oct 2006 19:06:09 +0000 (19:06 +0000)
configure
configure.ac
src/config.h.in

index 75f845ba9b8ac255d7df66cdf4dd07463c9f528e..f6138714a432fecf6340ce5521a7f7e14911d2b7 100755 (executable)
--- a/configure
+++ b/configure
@@ -5988,13 +5988,13 @@ echo "$as_me: error: math library is missing on your system." >&2;}
 fi
 
 
 fi
 
 
-echo "$as_me:$LINENO: checking for newwin in -lncurses" >&5
-echo $ECHO_N "checking for newwin in -lncurses... $ECHO_C" >&6
-if test "${ac_cv_lib_ncurses_newwin+set}" = set; then
+echo "$as_me:$LINENO: checking for newwin in -lncursesw" >&5
+echo $ECHO_N "checking for newwin in -lncursesw... $ECHO_C" >&6
+if test "${ac_cv_lib_ncursesw_newwin+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lncurses  $LIBS"
+LIBS="-lncursesw  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -6039,25 +6039,25 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_ncurses_newwin=yes
+  ac_cv_lib_ncursesw_newwin=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_ncurses_newwin=no
+ac_cv_lib_ncursesw_newwin=no
 fi
 rm -f conftest.err conftest.$ac_objext \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
 fi
 rm -f conftest.err conftest.$ac_objext \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_ncurses_newwin" >&5
-echo "${ECHO_T}$ac_cv_lib_ncurses_newwin" >&6
-if test $ac_cv_lib_ncurses_newwin = yes; then
+echo "$as_me:$LINENO: result: $ac_cv_lib_ncursesw_newwin" >&5
+echo "${ECHO_T}$ac_cv_lib_ncursesw_newwin" >&6
+if test $ac_cv_lib_ncursesw_newwin = yes; then
   cat >>confdefs.h <<_ACEOF
   cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBNCURSES 1
+#define HAVE_LIBNCURSESW 1
 _ACEOF
 
 _ACEOF
 
-  LIBS="-lncurses $LIBS"
+  LIBS="-lncursesw $LIBS"
 
 else
   { { echo "$as_me:$LINENO: error: ncurses library is missing on your system." >&5
 
 else
   { { echo "$as_me:$LINENO: error: ncurses library is missing on your system." >&5
index 5ac765436f64fb579d848ca04eec7d87f05ebaca..f250747945dad24e8a75a25ad598c06d20741ae1 100644 (file)
@@ -27,7 +27,7 @@ fi
 # Checks for libraries.
 AC_CHECK_LIB(m, floor, [],
     AC_MSG_ERROR([math library is missing on your system.]))
 # Checks for libraries.
 AC_CHECK_LIB(m, floor, [],
     AC_MSG_ERROR([math library is missing on your system.]))
-AC_CHECK_LIB(ncurses, newwin, [],
+AC_CHECK_LIB(ncursesw, newwin, [],
     AC_MSG_ERROR([ncurses library is missing on your system.]))
 
 # Checks for header files.
     AC_MSG_ERROR([ncurses library is missing on your system.]))
 
 # Checks for header files.
index 7ceb83ab3ed26b676db47f6eb263f01fef7fd2ef..7ce35eabe7da03c0a13475a791946aadd67b88da 100644 (file)
@@ -43,8 +43,8 @@
 /* Define to 1 if you have the `m' library (-lm). */
 #undef HAVE_LIBM
 
 /* Define to 1 if you have the `m' library (-lm). */
 #undef HAVE_LIBM
 
-/* Define to 1 if you have the `ncurses' library (-lncurses). */
-#undef HAVE_LIBNCURSES
+/* Define to 1 if you have the `ncursesw' library (-lncursesw). */
+#undef HAVE_LIBNCURSESW
 
 /* Define to 1 if you have the <linux/kd.h> header file. */
 #undef HAVE_LINUX_KD_H
 
 /* Define to 1 if you have the <linux/kd.h> header file. */
 #undef HAVE_LINUX_KD_H